loci.plugins.prefs

## Class OptionsList

- java.lang.Object
- - loci.plugins.prefs.OptionsList

- Direct Known Subclasses:
    ImporterOptions

      public class OptionsList
      extends java.lang.Object

  Base class for ImageJ preferences for plugins.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `INI_TYPE` INI key indicating option's type.
    `protected java.util.HashMap<java.lang.String,Option>` | `options` Table of options defining this set of preferences.
    `static java.lang.String` | `TYPE_BOOLEAN` String indicating option is of type boolean.
    `static java.lang.String` | `TYPE_STRING` String indicating option is of type string.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OptionsList(loci.common.IniList ini)`
    `OptionsList(java.lang.String path, java.lang.Class<?> c)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `BooleanOption` | `getBooleanOption(java.lang.String key)` Gets the boolean option with the given key.
    `java.lang.String` | `getDefaultValue(java.lang.String key)` Gets the default value of the string option with the given key.
    `java.lang.String` | `getInfo(java.lang.String key)` Gets the documentation for the option with the given key.
    `java.lang.String` | `getLabel(java.lang.String key)` Gets the label for the option with the given key.
    `Option` | `getOption(java.lang.String key)` Gets the option with the given key.
    `java.lang.String[]` | `getPossible(java.lang.String key)` Gets the possible values for the string option with the given key.
    `StringOption` | `getStringOption(java.lang.String key)` Gets the string option with the given key.
    `java.lang.String` | `getValue(java.lang.String key)` Gets the value of the string option with the given key.
    `int` | `hashCode()`
    `boolean` | `isPossible(java.lang.String key, java.lang.String value)` Gets whether the specified value is a possible one for the string option with the given key.
    `boolean` | `isSaved(java.lang.String key)` Gets whether the option with the given key is saved to the ImageJ preferences file.
    `boolean` | `isSet(java.lang.String key)` Gets the value of the boolean option with the given key.
    `boolean` | `isSetByDefault(java.lang.String key)` Gets the default value of the boolean option with the given key.
    `void` | `loadOptions()` Loads option values from the ImageJ preferences file.
    `void` | `parseOptions(java.lang.String arg)` Parses option values from the given argument string.
    `void` | `saveOptions()` Saves option values to the ImageJ preferences file.
    `void` | `setValue(java.lang.String key, boolean value)` Sets the value of the boolean option with the given key.
    `void` | `setValue(java.lang.String key, java.lang.String value)` Sets the value of the string option with the given key.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INI_TYPE

          public static final java.lang.String INI_TYPE

      INI key indicating option's type.
      See Also:
        Constant Field Values

    - #### TYPE_BOOLEAN

          public static final java.lang.String TYPE_BOOLEAN

      String indicating option is of type boolean.
      See Also:
        Constant Field Values

    - #### TYPE_STRING

          public static final java.lang.String TYPE_STRING

      String indicating option is of type string.
      See Also:
        Constant Field Values

    - #### options

          protected java.util.HashMap<java.lang.String,Option> options

      Table of options defining this set of preferences.

  - ### Constructor Detail

    - #### OptionsList

          public OptionsList(java.lang.String path,
                             java.lang.Class<?> c)
                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### OptionsList

          public OptionsList(loci.common.IniList ini)

  - ### Method Detail

    - #### parseOptions

          public void parseOptions(java.lang.String arg)

      Parses option values from the given argument string.

    - #### loadOptions

          public void loadOptions()

      Loads option values from the ImageJ preferences file.

    - #### saveOptions

          public void saveOptions()

      Saves option values to the ImageJ preferences file.

    - #### isSaved

          public boolean isSaved(java.lang.String key)

      Gets whether the option with the given key is saved to the ImageJ preferences file.

    - #### getLabel

          public java.lang.String getLabel(java.lang.String key)

      Gets the label for the option with the given key.

    - #### getInfo

          public java.lang.String getInfo(java.lang.String key)

      Gets the documentation for the option with the given key.

    - #### getPossible

          public java.lang.String[] getPossible(java.lang.String key)

      Gets the possible values for the string option with the given key.

    - #### isPossible

          public boolean isPossible(java.lang.String key,
                                    java.lang.String value)

      Gets whether the specified value is a possible one for the string option with the given key.

    - #### isSetByDefault

          public boolean isSetByDefault(java.lang.String key)

      Gets the default value of the boolean option with the given key.

    - #### getDefaultValue

          public java.lang.String getDefaultValue(java.lang.String key)

      Gets the default value of the string option with the given key.

    - #### isSet

          public boolean isSet(java.lang.String key)

      Gets the value of the boolean option with the given key.

    - #### getValue

          public java.lang.String getValue(java.lang.String key)

      Gets the value of the string option with the given key.

    - #### setValue

          public void setValue(java.lang.String key,
                               boolean value)

      Sets the value of the boolean option with the given key.

    - #### setValue

          public void setValue(java.lang.String key,
                               java.lang.String value)

      Sets the value of the string option with the given key.

    - #### getOption

          public Option getOption(java.lang.String key)

      Gets the option with the given key.

    - #### getBooleanOption

          public BooleanOption getBooleanOption(java.lang.String key)

      Gets the boolean option with the given key.

    - #### getStringOption

          public StringOption getStringOption(java.lang.String key)

      Gets the string option with the given key.

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2026 Open Microscopy Environment